create project / create project by modules

The create project API sends a POST request to add a project.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Prerequisites

  • The caller must provide a project name of at least 3 characters.

Authorization

  • API key (via the X-API-KEY header).

Parameters

Request Body — Project
Field nameDescriptionFormat
nameThe name of the projectString
descriptionThe description of the projectString
technologyTechnology for project generationString
Request Body — Project with Modules
Field nameDescriptionFormat
projectProject StructureObject
modulesIdsList of module IDs to attach to the projectArray
Response Body
Field nameDescriptionFormat
idThe ID of the created projectUUID
nameThe name of the projectString
createdAtTimestamp when the project was createdDateTime
modifiedAtTimestamp when the project was updatedDateTime
modifiedByThe user who last modified the projectString
sysModifiedAtSystem-level modification timestampDateTime
descriptionThe description of the projectString
bookmarkedWhether the project is bookmarkedBoolean
technologyTechnology for project generationString

Examples

{
  "name": "project",
  "description": "project description",
  "technology": "HTTP"
}
{
  "id": "00000000-0000-0000-0000-000000000111",
  "name": "project",
  "createdAt": "2026-01-01T00:00:00.000000000Z",
  "modifiedAt": "2026-01-01T00:00:00.000000000Z",
  "modifiedBy": "John Doe",
  "sysModifiedAt": "2026-01-01T00:00:00.000000000Z",
  "description": "project description",
  "bookmarked": false,
  "technology": "HTTP"
}
Body Params
string
required
string
string
enum
Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json